package com.hammurapi.store;

/**
 * Transaction.
 * @author Pavel Vlasov
 *
 * @param <T>
 * @param <PK>
 */
public interface Transaction<T, PK, S extends Store<T,PK,S>> extends Store<T, PK, S> {
	
	/**
	 * Commits transaction, releases locks.
	 */
	void commit();
	
	/**
	 * Rolls back transaction, undoes changes and releases locks.
	 */
	void rollback();

}
